Package com.collibra.dgc.core.api.dto.meta.complexrelation

# Class AddComplexRelationTypeRequest.Builder

Object
Builder

Enclosing class:
  `AddComplexRelationTypeRequest`

public static final class AddComplexRelationTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddComplexRelationTypeRequest.Builder`
  `acronymCode(String acronymCode)`
  The acronym code of the new Complex Relation Type.
  `AddComplexRelationTypeRequest.Builder`
  `attributeTypes(List<ComplexRelationAttributeTypeRequest> attributeTypes)`
  The list of attribute types for the new Complex Relation Type.
  `AddComplexRelationTypeRequest`
  `build()`
  `AddComplexRelationTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddComplexRelationTypeRequest.Builder`
  `color(String color)`
  The color of the symbol, in a hex format e.g.
  `AddComplexRelationTypeRequest.Builder`
  `description(String description)`
  The description of the new Complex Relation Type.
  `AddComplexRelationTypeRequest.Builder`
  `iconCode(String iconCode)`
  The icon code of the new Complex Relation Type.
  `AddComplexRelationTypeRequest.Builder`
  `id(UUID id)`
  The ID of the new Complex Relation Type.
  `AddComplexRelationTypeRequest.Builder`
  `legTypes(List<ComplexRelationLegTypeRequest> legTypes)`
  Required. The list of leg types for the new Complex Relation Type.
  `AddComplexRelationTypeRequest.Builder`
  `name(String name)`
  Required. The name of the new Complex Relation Type.
  `AddComplexRelationTypeRequest.Builder`
  `publicId(String publicId)`
  The public id that will be assigned to the new Complex Relation Type.
  `AddComplexRelationTypeRequest.Builder`
  `symbolType(AssetTypeSymbolType symbolType)`
  Required. The symbol type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddComplexRelationTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddComplexRelationTypeRequest.builder()`
    Clone method for this Builder.

  - ### id

    public AddComplexRelationTypeRequest.Builder id(UUID id)
    The ID of the new Complex Relation Type. Should be unique within all Complex Relation Types. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.
    Returns:
      `this`.

  - ### publicId

    public AddComplexRelationTypeRequest.Builder publicId(String publicId)
    The public id that will be assigned to the new Complex Relation Type.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

    Returns:
      `this`.

  - ### name

    public AddComplexRelationTypeRequest.Builder name(String name)
    Required. The name of the new Complex Relation Type. Should be unique within all Complex Relation Types.
    Returns:
      `this`.

  - ### description

    public AddComplexRelationTypeRequest.Builder description(String description)
    The description of the new Complex Relation Type.
    Returns:
      `this`.

  - ### color

    public AddComplexRelationTypeRequest.Builder color(String color)
    The color of the symbol, in a hex format e.g. '#000000'. This format always includes the '#' and has a size of 7.
    Returns:
      `this`.

  - ### symbolType

    public AddComplexRelationTypeRequest.Builder symbolType(AssetTypeSymbolType symbolType)
    Required. The symbol type.
    Returns:
      `this`.

  - ### iconCode

    public AddComplexRelationTypeRequest.Builder iconCode(String iconCode)
    The icon code of the new Complex Relation Type.
    Returns:
      `this`.

  - ### acronymCode

    public AddComplexRelationTypeRequest.Builder acronymCode(String acronymCode)
    The acronym code of the new Complex Relation Type.
    Returns:
      `this`.

  - ### attributeTypes

    public AddComplexRelationTypeRequest.Builder attributeTypes(List<ComplexRelationAttributeTypeRequest> attributeTypes)
    The list of attribute types for the new Complex Relation Type.
    Returns:
      `this`.

  - ### legTypes

    public AddComplexRelationTypeRequest.Builder legTypes(List<ComplexRelationLegTypeRequest> legTypes)
    Required. The list of leg types for the new Complex Relation Type. At least one leg should be specified
    Returns:
      `this`.

  - ### build

    public AddComplexRelationTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`